## geneagrapher-core 0.1.0

=== debian/changelog ===
geneagrapher-core (0.1.0-2) unstable; urgency=medium

  * Source-only upload for transition to testing (after bookworm release).
  * debian/gbp.conf
    - New file; set debian-branch for git-buildpackage.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 10 May 2023 14:08:12 -0400

geneagrapher-core (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1034656).

 -- Doug Torrance <dtorrance@debian.org>  Thu, 20 Apr 2023 22:21:51 -0400

## geneagrapher-core 0.1.1

=== debian/changelog ===
geneagrapher-core (0.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 22 May 2023 17:01:16 -0400

## geneagrapher-core 0.1.4

=== Makefile ===
.PHONY: format flake8 mypy test

check: format-check flake8 mypy test

# Code formatting
format_targets := geneagrapher_core docs examples tests

format:
	poetry run black $(format_targets)
fmt: format
black: format

format-check:
	poetry run black --check $(format_targets)

# Linting
flake8:
	poetry run flake8
flake: flake8
lint: flake8

# Type enforcement
mypy:
	poetry run mypy --strict geneagrapher_core tests
types: mypy

# Tests
test:
	poetry run pytest -m "not live" tests

test-live:
	poetry run pytest -m "live" tests

all:

clean:
	rm -rf dist

## geneagrapher-core 0.1.3

=== debian/changelog ===
geneagrapher-core (0.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Feb 2024 18:05:06 -0500

geneagrapher-core (0.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright
    - Bump my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 26 Jan 2024 23:02:32 -0500

=== debian/control ===
Source: geneagrapher-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-aiohttp,
               python3-all,
               python3-bs4,
               python3-poetry-core,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-autodoc-typehints,
               python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Homepage: https://github.com/davidalber/geneagrapher-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/geneagrapher-core
Vcs-Git: https://salsa.debian.org/python-team/packages/geneagrapher-core.git
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-geneagrapher-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: request and build graphs of records from the Math Genealogy Project
 Geneagrapher is a tool for extracting information from the
 Mathematics Genealogy Project to form a math family tree, where
 connections are between advisors and their students.
 .
 This package contains the core data-grabbing and manipulation
 functions needed to build a math family tree. The functionality here
 is low level and intended to support the development of other
 tools. If you just want to build a geneagraph, take a look at
 Geneagrapher. If you want to get mathematician records and use them in
 code, then this project may be useful to you.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) -C docs html

## geneagrapher-core 0.1.4

=== debian/changelog ===
geneagrapher-core (0.1.4-3) unstable; urgency=medium

  * debian/control
    - Add python3-pytest-asyncio to Build-Depends; now needed for tests.
  * debian/rules
    - Skip "live" tests that try to connect to mathgenealogy.org

 -- Doug Torrance <dtorrance@debian.org>  Sat, 23 Aug 2025 12:22:08 -0400

geneagrapher-core (0.1.4-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released.
  * debian/gbp.conf
    - Set pristine-tar to true

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 11:18:36 -0400

geneagrapher-core (0.1.4-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * debian/control
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 28 Jun 2025 18:05:46 -0400

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
                python3-bs4,
                python3-poetry-core,
                python3-pytest,
+               python3-pytest-asyncio,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-autodoc-typehints,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/davidalber/geneagrapher-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geneagrapher-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/geneagrapher-core.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# don't run "live" tests that try to connect to mathgenealogy.org
+export PYBUILD_TEST_ARGS = -m 'not live'
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/davidalber/geneagrapher-core/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@
